#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2016. Todos os Direitos Reservados.
#
#  Nota sobre Direitos Restritos para Usuários do Governo dos Estados Unidos:
#  Uso, duplicação ou divulgação restritos pelo documento GSA ADP Schedule
#  Contract com a IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# Arquivo para mensagens exibido pelos scripts automatizados de upgrade.
#
# ################################################################################


# *********************
# * Função de Mensagens *
# *********************
messages() {

case $1 in 

# *********************************
# * Mensagens de verificação inicial *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Não execute o script app_upgrade diretamente.  Para fazer upgrade de um aplicativo, execute um dos comandos a seguir:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Use -help para obter uma descrição completa dos comandos acima."
;;

INVALID_START_DIR )
echo ""
echo "Exceto ao usar o parâmetro -help, o script $2 não pode ser executado a partir de um outro diretório diferente de $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "O arquivo '$2' contém os valores de parâmetro para script de atualização."
echo "Se precisar modificar qualquer valor de parâmetro padrão, é possível editar estes arquivos ou especificar os valores de parâmetro como argumentos de linha de comandos para os scripts de atualização."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "O conjunto de arquivos a seguir contém valores de parâmetro padrão para upgrade de um aplicativo.  Se for necessário modificar qualquer valor de parâmetro padrão, é possível editar estes arquivos ou especificar os valores de parâmetro como argumentos de linha de comandos para os scripts de atualização."
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Mensagens de verificação de parâmetros *
# ************************************

# Verificação Intrínseca
# ======================

MISSING_APP_TYPE )
echo ""
echo "Nenhum tipo de aplicativo foi especificado.  Para fazer upgrade do aplicativo, execute um dos comandos a seguir:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Use -help para obter uma descrição completa dos comandos acima."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 não é um tipo de aplicativo válido.  Para fazer upgrade do aplicativo, execute um dos comandos a seguir:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Use -help para obter uma descrição completa dos comandos acima."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Valor ausente para o parâmetro $2."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "O diretório $3, especificado para o parâmetro $2, não existe ou não é válido."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "O diretório $3 especificado para o parâmetro $2 deve ser uma caminho absoluto."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "O arquivo $3, especificado para o parâmetro $2, não existe ou não é válido."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 é um valor inválido para o parâmetro $2."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 é um parâmetro desconhecido."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;


# Verificação Extrínseca
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Parâmetro $2 do diretório inicial ausente."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "O diretório $2 não existe ou não é válido."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Não é possível localizar o comando repotools do aplicativo '$2'."
echo ""
echo "Verifique se o parâmetro -oldApplicationHome '$3' está apontando para o diretório de configuração antigo do servidor, por exemplo, 'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Não é possível localizar o comando repotools do aplicativo '$2'."
echo ""
echo "Verifique se o parâmetro -oldApplicationHome '$3' está apontando para o diretório de configuração antigo do servidor, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Não é possível localizar o arquivo de configuração '$2'."
echo ""
echo "Verifique se o parâmetro -oldApplicationHome '$3' está apontando para o diretório de configuração antigo do servidor, por exemplo, 'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Não é possível localizar o arquivo de configuração '$2'."
echo ""
echo "Verifique se o parâmetro -oldApplicationHome '$3' está apontando para o diretório de configuração antigo do servidor, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Não é possível localizar o comando repotools do aplicativo '$2'."
echo ""
echo "Verifique se o parâmetro -newApplicationHome '$3' está apontando para o novo diretório de configuração do servidor de aplicativos, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo "Se você estiver fazendo upgrade de uma liberação anterior, assegure-se de que tenha selecionado as raízes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, você deverá selecionar a opção de raiz de contexto $5 no painel "Opções de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opção diferente, você deverá reinstalar o produto com a opção de raiz de contexto $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Não é possível localizar o arquivo de configuração '$2'."
echo ""
echo "Verifique se o parâmetro -newApplicationHome '$3' está apontando para o novo diretório de configuração do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo "Se você estiver fazendo upgrade de uma liberação anterior, assegure-se de que tenha selecionado as raízes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, você deverá selecionar a opção de raiz de contexto $5 no painel "Opções de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opção diferente, você deverá reinstalar o produto com a opção de raiz de contexto $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Não é possível localizar o comando JTS repotools '$2'."
echo ""
echo "Verifique se o parâmetro -oldJTSHome '$3' está apontando para o diretório de configuração antigo do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Não é possível localizar o arquivo de configuração '$2'."
echo ""
echo "Verifique se o parâmetro -oldJTSHome '$3' está apontando para o diretório de configuração antigo do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Não é possível localizar o comando JTS repotools '$2'."
echo ""
echo "Verifique se o parâmetro -newJTSHome '$3' está apontando para o novo diretório de configuração do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Não é possível localizar o arquivo de configuração '$2'."
echo ""
echo "Verifique se o parâmetro -newJTSHome '$3' está apontando para o novo diretório de configuração do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parâmetro jtsContextRoot '$4' está correto."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Um arquivo tar que contenha dados 2.x é necessário para o upgrade de $2."
echo "Use -help para obter uma descrição completa dos parâmetros."
echo ""
;;


# **********************
# * Mensagens de execução *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    Upgrade do DM    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    Upgrade do VVC    ==="
echo "============================================"
echo ""
;;


# *********************
# * Comutador First Step *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Última execução falhou na etapa inicial..."
;;

LAST_STEP_FAILED )
echo ""
echo "Última execução falhou na etapa $2..."
echo "Deseja reiniciar o upgrade a partir desta etapa ou de uma anterior?"
;;

ALREADY_RUN )
echo ""
echo "O upgrade já foi feito e concluído com sucesso..."
echo "Deseja reiniciar um novo a partir de uma etapa específica?"
;;

LAST_STEP_PASSED )
echo ""
echo "Última execução foi interrompida com sucesso na etapa $2..."
echo "Deseja reiniciar o upgrade a partir da etapa $3 atual ou de uma anterior?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Insira o número da etapa [$2-$3] da qual deseja reiniciar o upgrade ou [Enter] para Cancelar:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' não é um número. Insira um número de etapa válido."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' é um número de etapa inválido. Insira um número de etapa válido."
;;

MAX_STEP_NUMBER )
echo ""
echo "A última etapa é a etapa $2, portanto, não é possível reiniciar o upgrade na etapa $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "A etapa $2 não foi executada ainda, portanto, não é possível reiniciar o upgrade na etapa $3."
;;


# **********************
# * Mensagens para Etapas *
# **********************

STEP_0_IBMi )
echo "Etapa 0: Eliminar tabelas"
echo "-------------------"
;;

STEP_0 )
echo "Etapa 0: Atualizar arquivos de configuração"
echo "---------------------------"
;;

STEP_1_ADD )
echo "Etapa 1: Incluir tabelas"
echo "------------------"
;;

STEP_2_FIX_VERSION_TABLE )
echo "Etapa 2: Corrigir tabelas de versão"
echo "-----------------------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Etapa $2: Recompilar índices de texto"
echo "------------------------------------"
;;

JFS_INDICES_STEP )
echo "Etapa $2: Recriar índices de consulta e procura"
echo "----------------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Etapa 2: Fazer upgrade do esquema de data warehouse"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "A atualização $2 falhou na etapa $3.  Corrija o problema e execute o script novamente começando na etapa $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "O upgrade de $2 foi bem-sucedido.  Se também fez upgrade do JTS, agora você poderá iniciar os servidores na implementação."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "O upgrade de $2 foi bem-sucedido.  Se você também tiver feito upgrade do JTS e de qualquer aplicativo dependente (como o DM), agora será possível iniciar os servidores em sua implementação."
echo ""
;;

# *******************************
# * Mensagens ao executar etapa *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Diretório: $2"
echo "Comando:"
;;

ENTER_STEP_ACTION )
echo "Insira [E] para executar essa etapa, [S] para ignorar ou pressione [Enter] para cancelar a execução do script:"
;;

INVALID_STEP_ACTION )
echo ""
echo "O '$2' é uma entrada inválida, somente 'E', 'S' ou 'Enter' são permitidos"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Um editor vi será aberto para permitir que você verifique o arquivo teamserver.properties $2."
echo "Verifique se a raiz de URI Público denotada pela propriedade com.ibm.team.repository.server.webapp.url está correta."
echo "Verifique se as propriedades do banco de dados estão corretas."
echo "Quando concluído, salve as mudanças se houver alguma e feche o editor para continuar a execução do script."
echo ""
;;

PAUSE )
echo ""
echo "Insira [C] para continuar a execução ou pressione [Enter] para cancelar a execução do script:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' é uma entrada inválida, somente 'C' ou 'Enter' são permitidos"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Falha ao copiar índices de texto de '$2' para '$3'."
echo "Verifique a propriedade com.ibm.team.fulltext.indexLocation"
echo "definida no arquivo teamserver.properties."
"Copie manualmente os índices de texto para este diretório"
echo "ou execute repotools -rebuildTextIndices para recompilá-los."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "Falha ao copiar o banco de dados TRS de '$2' para '$3'."
echo "Verifique a propriedade com.ibm.xtools.trs.database"
echo "definida no arquivo teamserver.properties."
echo "Copie manualmente a hierarquia do diretório do banco de dados TRS."
echo ""
;;

# *****************************************
# * Mensagens para verificação de URIs Públicos *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Não há nenhuma URI Pública em"
echo "$3,"
echo "portanto, o upgrade não pode ser iniciado."
echo ""
echo "Deve haver um URI Público neste arquivo definido conforme a seguir:"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "A propriedade de URI Público com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties."
echo "Inclua a propriedade no arquivo teamserver.properties da instalação antiga e configure o valor para ser a raiz do URI que todos os clientes usam para atingir o servidor."
echo "A raiz do URI Público é essencial para o funcionamento adequado de sua nova instalação. A atualização não será concluída com sucesso sem esta propriedade.  "
echo "Para obter mais informações, consulte o tópico 'Planejando seus URIs' no Centro de Informações."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Todas as URIs Públicas definidas em"
echo "$3,"
echo "possuem linhas de comentários, portanto, o upgrade não pode ser iniciado."
echo ""
echo "Deve haver um URI Público com o comentário removido neste arquivo definido conforme a seguir:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "A propriedade de URI Público com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties."
echo "Inclua a propriedade no arquivo teamserver.properties da instalação antiga e configure o valor para ser a raiz do URI que todos os clientes usam para atingir o servidor."
echo "A raiz do URI Público é essencial para o funcionamento adequado de sua nova instalação. A atualização não será concluída com sucesso sem esta propriedade."
echo "Para obter mais informações, consulte o tópico 'Planejando seus URIs' no Centro de Informações."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "A raiz de contexto do JTS está configurada como '$2'."
echo "A raiz de contexto do aplicativo está configurada como '$3'."
echo "As raízes de contexto do jts e do aplicativo não podem ser iguais."
echo ""
;;

esac

}
